Package wx :: Package lib :: Package floatcanvas :: Module GUIMode :: Class GUIBase

[frames | no frames]

## Type GUIBase

    object --+
             |
            GUIBase

Known Subclasses:
  `GUIMouse`, `GUIMove`, `GUIZoomIn`, `GUIZoomOut`

Basic Mouse mode and baseclass for other GUImode.

This one does nothing with any event

Method Summary
| `__init__(self, Canvas)`
| `OnKeyDown(self, event)`
| `OnKeyUp(self, event)`
| `OnLeftDouble(self, event)`
| `OnLeftDown(self, event)`
| `OnLeftUp(self, event)`
| `OnMiddleDouble(self, event)`
| `OnMiddleDown(self, event)`
| `OnMiddleUp(self, event)`
| `OnMove(self, event)`
| `OnRightDouble(self, event)`
| `OnRightDown(self, event)`
| `OnRightUp(self, event)`
| `OnWheel(self, event)`
| ``UnSet`(self)` this method gets called by FloatCanvas when a new mode is being set on the Canvas
| ``UpdateScreen`(self)` Update gets called if the screen has been repainted in the middle of a zoom in so the Rubber Band Box can get updated.

Class Variable Summary
`Cursor` | `Cursor` = `<wx._gdi.Cursor; proxy of <Swig Object of type ...`

Method Details

### UnSet(self)

this method gets called by FloatCanvas when a new mode is being set on the Canvas

### UpdateScreen(self)

Update gets called if the screen has been repainted in the middle of a zoom in so the Rubber Band Box can get updated. Other GUIModes may require something similar

Class Variable Details

### Cursor

  Type:
    `Cursor`
  Value:

        <wx._gdi.Cursor; proxy of <Swig Object of type 'wxCursor *' at 0x2b3fd\
        df05d60> >

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:20 2009 | http://epydoc.sf.net